Bug 579227 - Review Request: byobu - Light-weight, configurable window manager built upon GNU screen
Summary: Review Request: byobu - Light-weight, configurable window manager built upon ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Daiki Ueno
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-04-03 12:28 UTC by Jan Klepek
Modified: 2010-05-07 17:26 UTC (History)
6 users (show)

Fixed In Version: byobu-2.73-1.fc11
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-05-02 23:14:23 UTC
dueno: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Jan Klepek 2010-04-03 12:28:07 UTC
Spec URL: http://hpejakle.fedorapeople.org/packages/byobu.spec
SRPM URL: http://hpejakle.fedorapeople.org/packages/byobu-2.67-1.fc11.src.rpm
Description: Byobu is a Japanese term for decorative, multi-panel screens that serve 
as folding room dividers. As an open source project, Byobu is an 
elegant enhancement of the otherwise functional, plain, 
practical GNU Screen. Byobu includes an enhanced profile 
and configuration utilities for the GNU screen window manager, 
such as toggle-able system status notifications.

koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=2092610
rpmlint: byobu.noarch: W: devel-file-in-non-devel-package /usr/bin/byobu-config
it is ok, it is not devel file (it is script which is used for configuring byobu)

Comment 1 Daiki Ueno 2010-04-19 08:26:05 UTC
Hi Jan, I'm trying to review.

1. *.mo listed twice

I got the following message when building:

 warning: File listed twice: /usr/share/locale/bg/LC_MESSAGES/byobu.mo

The line "%{_datadir}/locale/*/LC_MESSAGES/%{name}.mo" in the %files section is unnecessary since "%files -f %{name}.lang" do the job.

2. messages are not translated

According to po/de.po, "Help" should be translated into "Hilfe" under German locales.  However, it does not effect.  Try:

 LANG=de_DE.UTF-8 byobu-config

This is because wrong localedir is hard-coded in byobu-config:

 byobu-config:31:PKG="byobu"
 byobu-config:32:SHARE='/usr/share/'+PKG
 ...
 byobu-config:52:gettext.bindtextdomain(PKG, SHARE+'/po')

The solution would be simply replacing the path in the last line with "/usr/share/locale".

3. desktop file

I'm not sure this is the issue - byobu.desktop is really useful for users?
The file also defines the Categories as GNOME;GTK;Utility, but neither GNOME nor GTK is used in byobu.

See "A. Registered Categories" of desktop files:
http://standards.freedesktop.org/menu-spec/latest/apa.html

Comment 2 Jan Klepek 2010-04-20 18:53:20 UTC
1] fixed
2] fixed
3] so, upstream provide desktop file, why not use it...however, fixed

Spec URL: http://hpejakle.fedorapeople.org/packages/byobu.spec
SRPM URL: http://hpejakle.fedorapeople.org/packages/byobu-2.67-2.fc11.src.rpm

Comment 3 Dustin Kirkland 2010-04-20 19:04:39 UTC
Desktop file is purely a matter of convenience for some users who prefer to always launch their gnome-terminals running Byobu.  It's not enabled (displayed) by default in Ubuntu, but some users choose to turn it on and put it in their quick-launch bar.  Feel free to drop it.

Thanks,
:-Dustin

Comment 4 Daiki Ueno 2010-04-21 03:12:53 UTC
Setting SHARE to /usr/share/locale is problematic.  Run byobu-config and select "Change keybinding set", you will see:

 ls: cannot access /usr/share/locale/keybindings: No such fil

Comment 6 Daiki Ueno 2010-04-21 06:11:31 UTC
I think it's ok, except that the latest changelog entry looks different from any of the examples listed in:

https://fedoraproject.org/wiki/Packaging:Guidelines#Changelogs

Comment 7 Jan Klepek 2010-04-21 06:36:32 UTC
it is what rpmdev-bumpspec generates, forgot to add email, otherwise it is same

New Package CVS Request
=======================
Package Name: byobu
Short Description: Light-weight, configurable window manager built upon GNU screen
Owners: hpejakle
Branches: F-11 F-12 F-13
InitialCC:

Comment 8 Kevin Fenzi 2010-04-24 05:06:54 UTC
CVS done (by process-cvs-requests.py).

Comment 9 Fedora Update System 2010-05-02 19:22:05 UTC
byobu-2.73-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/byobu-2.73-1.fc11

Comment 10 Fedora Update System 2010-05-02 19:22:11 UTC
byobu-2.73-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/byobu-2.73-1.fc12

Comment 11 Fedora Update System 2010-05-02 19:22:15 UTC
byobu-2.73-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/byobu-2.73-1.fc13

Comment 12 Jan Klepek 2010-05-05 16:09:59 UTC
Package Change Request
======================
Package Name: byobu
New Branches: EL-4 EL-5
Owners: hpejakle

Comment 13 Kevin Fenzi 2010-05-06 15:39:16 UTC
cvs done.

Comment 14 Fedora Update System 2010-05-07 05:48:19 UTC
byobu-2.73-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2010-05-07 17:25:58 UTC
byobu-2.73-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2010-05-07 17:26:28 UTC
byobu-2.73-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.